Bug 1049905 - hadoop: FTBFS in rawhide
Summary: hadoop: FTBFS in rawhide
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: hadoop
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert Rati
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1045556
TreeView+ depends on / blocked
 
Reported: 2014-01-08 13:09 UTC by Mikolaj Izdebski
Modified: 2014-02-03 18:26 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-03 18:26:06 UTC
Type: ---


Attachments (Terms of Use)

Description Mikolaj Izdebski 2014-01-08 13:09:48 UTC
Description of problem:
Package hadoop fails to build from source in rawhide.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=6372710

Quoting from build logs:

+ python /usr/share/java-utils/mvn_file.py ':hadoop-common::{}:' /usr/lib/java/hadoop-common
Usage: mvn_file.py [options] <MVN spec> path [path ...]
mvn_file.py: error: Incorrect configuration: At least one path must be relative

Version-Release number of selected component (if applicable):
2.2.0-3

Additional info:
[1] http://fedoraproject.org/wiki/Packaging:Java
[2] http://fedoraproject.org/wiki/Packaging:Guidelines

Comment 1 Robert Rati 2014-01-24 23:08:44 UTC
Fixed in hadoop-2.2.0-4

Comment 2 Mikolaj Izdebski 2014-01-29 10:55:04 UTC
hadoop-2.2.0-4 still fails to build:
http://kojipkgs.fedoraproject.org/work/tasks/6155/6466155/build.log

Comment 3 Robert Rati 2014-02-03 18:26:06 UTC
Fixed in hadoop-2.2.0-5


Note You need to log in before you can comment on or make changes to this bug.